<?php

namespace PAR\Controller;

use PAR\Controller\PARCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\Environment;

class UtilController {
    
    protected $environment;

    public function __construct(Environment $environment) {
        $this->environment = $environment;
    }

    public function getOperadorLogado(Request $request, Response $response) {
        $cdoperador = $this->environment->getCdOperador();
        $response->addDataSet(new DataSet("retorno", array("cdoperador" => $cdoperador)));
    }
}